<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
$time = date( "H:i" );
$credits = $row['credits'];
$win = 0;
echo "<title>Кости</title>\r\n<style type=\"text/css\">\r\nbody { font-size: {$fs}; color: {$tcol}; background-color: {$bcol} }\r\na:link,a:visited { text-decoration: underline; color: {$lcol} }\r\ndiv { background-color: {$rcol} }\r\n.cp \t{ border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }\r\n</style>\r\n</head>\r\n<body>\r\n<div align=\"center\">Кости</div>";
if ( empty( $do ) )
{
    echo "<form  action=\"kosti.php\" method=\"post\">\r\nВаша ставка (1-10):<br/>\r\n<input type=\"text\" name=\"stav\" maxlength=\"2\"/>\r\n<input type=\"hidden\" name=\"do\" value=\"game\"/>\r\n<input type=\"hidden\" name=\"id\" value=\"{$id}\"/>\r\n<input type=\"hidden\" name=\"pass\" value=\"{$pass}\"/> \r\n<input value=\"Играть\" class=\"cp\" type=\"submit\"/>\r\n</form>\r\n<u>Кредиты:</u> {$credits}<br/>";
}
else
{
    $stav = intval( $stav );
    if ( $stav <= $credits && $stav != 0 && $stav <= 10 )
    {
        $pl1 = mt_rand( 1, 6 );
        $pl2 = mt_rand( 1, 6 );
        $m1 = mt_rand( 1, 6 );
        $m2 = mt_rand( 1, 6 );
        $spl = $pl1 + $pl2;
        $sm = $m1 + $m2;
        echo "<p align=\"center\">\r\nВы выбросили:<br/>\r\n<b>{$pl1}</b> и <b>{$pl2}</b> <br/>\r\nМастер костей выбросил:<br/>\r\n<b>{$m1}</b> и <b>{$m2}</b>\r\n</p>\n";
        if ( $sm < $spl )
        {
            $credits = $credits + $stav;
            echo "<div>\r\n<u><b>Крупье</b></u> [{$time}]&gt;\r\n<b>".$row['login']."</b>, \r\nПоздравляю  вы выиграли!<br/>\r\n</div>\r\n<u>Выигрыш:</u> {$stav}<br/>";
            mysql_query( "update users set credits='".$credits."' where id='".$id."';" );
        }
        if ( $spl < $sm )
        {
            $credits = $credits - $stav;
            echo "<div>\r\n<u><b>Крупье</b></u> [{$time}]&gt;\r\n<b>".$row['login']."</b>, \r\nВы проиграли...<br/>\r\n</div>\r\n<u>Ставка:</u> {$stav}<br/>";
            mysql_query( "update users set credits='".$credits."' where id='".$id."';" );
        }
        if ( $spl == $sm )
        {
            echo "<div>\r\n<u><b>Крупье</b></u> [{$time}]&gt; \r\nНичья...<br/>\r\n</div>";
        }
        echo "<u>Кредиты:</u> {$credits}<br/>---<br/>\r\n<a href=\"kosti.php?id={$id}&amp;pass={$pass}&amp;stav={$stav}&amp;do={$do}&amp;ref={$ref}\">Играть еще!</a><br/>";
    }
    else
    {
        echo "<br/><div>\r\n<u><b>Охранник</b></u> [{$time}]&gt;\r\n<b>".$row['login']."</b>,\r\nВы не можете играть!<br/>\r\nНе правильная ставка<br/>\r\nили<br/>\r\nБольше нет КРЕДИТов!\r\n</div>";
    }
}
if ( isset( $do ) )
{
    echo "<a href=\"kosti.php?id={$id}&amp;pass={$pass}\">Новая ставка</a><br/>";
}
echo "<a href=\"index.php?id={$id}&amp;pass={$pass}\">В казино</a>\r\n<br/>---<br/>";
$end = gettime( );
echo "<a href=\"../enter.php?id={$id}&amp;pass={$pass}\">Прихожая</a>\r\n<p align=\"center\">\r\n[".round( $end - $mystart, 5 )."]\r\n</p></body></html>";
mysql_close( $link );
?>